Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Groovy] Class AccessRule

    java.lang.Object
      org.gradle.plugins.ide.eclipse.model.AccessRule

    class AccessRule

Authors:
  Hans Dockter

Property Summary
`String` | `kind`
`String` | `pattern`

Constructor Summary
`AccessRule(def kind, def pattern)`

Method Summary
`boolean` | `equals(def o)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### kind

    String kind

### pattern

    String pattern

Constructor Detail

### AccessRule

    AccessRule(def kind, def pattern)

Method Detail

### equals

    boolean equals(def o)

### hashCode

    int hashCode()

### toString

    String toString()

Gradle API 1.1-rc-1